%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define srcname Durus

Name:           python-durus
Version:        3.9
Release:        1%{?dist}
Summary:        A Python Object Database

Group:          Development/Libraries
License:        CNRI
URL:            http://www.mems-exchange.org/software/durus/
Source0:        http://www.mems-exchange.org/software/files/durus/Durus-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
Durus is a persistent object system for applications written in the Python
programming language. It offers an easy way to use and maintain a consistent
collection of object instances used by one or more processes. Access and change
of a persistent instances is managed through a cached Connection instance which
includes commit() and abort() methods so that changes are transactional.
Durus is best suited to collections of less than a million instances with
relatively stable state.

%prep
%setup -q -n %{srcname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --single-version-externally-managed

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/ *.txt
%dir %{python_sitearch}/durus
%{python_sitearch}/Durus-%{version}-py?.?.egg-info/
%{python_sitearch}/durus/*.so
%{python_sitearch}/durus/*.py
%{python_sitearch}/durus/*.pyc
%{python_sitearch}/durus/*.pyo
%{_bindir}/durus

%changelog
* Mon May 03 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 3.9-1
- Updated to 3.9

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 3.8-1
- Updated to 3.8

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.5-8
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.5-7
- Rebuild for Python 2.6

* Tue Sep 16 2008 Matt Domsch <mdomsch@fedoraproject.org> - 3.5-6
- fix FTBFS BZ#434427

* Fri Mar 07 2008 Jesse Keating <jkeating@redhat.com> - 3.5-5
- Drop the pyver stuff, no longer needed.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.5-4
- Autorebuild for GCC 4.3

* Sat Dec 23 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 3.5-3
- Rebuild for new Python.

* Sat Sep 16 2006 Shahms E. King <shahms@shahms.com> 3.5-2
- Rebuld for FC6

* Thu Aug 17 2006 Shahms E. King <shahms@shahms.com> 3.5-1
- Update to new upstream version

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 3.4.1-3
- Include, don't ghost .pyo files per new guidelines

* Fri Jun 02 2006 Shahms E. King <shahms@shahms.com> 3.4.1-2
- Use pyver macro everywhere

* Fri Jun 02 2006 Shahms E. King <shahms@shahms.com> 3.4.1-1
- Update to new upstream version
- BuildRequire setuptools

* Thu Mar 23 2006 Shahms E. King <shahms@shahms.com> 3.3-1
- Update to upstream 3.3

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 3.2-1
- Update to upstream 3.2
- Rebuild for FC5

* Tue Nov 01 2005 Shahms E. King <shahms@shahms.com> 3.1-1
- Update to upstream 3.1

* Thu Sep 08 2005 Shahms E. King <shahms@shahms.com> 3.0-1
- Update to upstream 3.0 (2.0 was only a license change, no code)
- Add dist tag

* Fri Apr 22 2005 Shahms E. King <shahms@shahms.com> 1.5-2
- Increment Release to fix EVR problem

* Wed Apr 13 2005 Shahms E. King <shahms@shahms.com> 1.5-1
- New upstream version
- Remove unnecessary python_sitelib define

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Mar 01 2005 Shahms E. King <shahms@shahms.com> 1.4-1
- Initial Release
